# edgeos_facts – Collect facts from remote devices running EdgeOS

New in version 2.5.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Collects a base set of device facts from a remote device that is running EdgeOS. This module prepends all of the base network fact keys with ansible_net_<fact>. The facts module will always collect a base set of facts from the device and can enable or disable collection of additional facts.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gather_subset - | Default: "!config" | When supplied, this argument will restrict the facts collected to a given subset. Possible values for this argument include all, default, config, and neighbors. Can specify a list of values to include a larger subset. Values can also be used with an initial `!` to specify that a specific subset should not be collected.

## Notes

Note

- Tested against EdgeOS 1.9.7

## Examples

    - name: collect all facts from the device
      edgeos_facts:
        gather_subset: all

    - name: collect only the config and default facts
      edgeos_facts:
        gather_subset: config

    - name: collect everything exception the config
      edgeos_facts:
        gather_subset: "!config"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
ansible_net_commits list | when present | The set of available configuration revisions
ansible_net_config string | when config is configured | The running-config from the device
ansible_net_gather_subset list | always | The list of subsets gathered by the module
ansible_net_hostname string | always | The configured system hostname
ansible_net_model string | always | The device model string
ansible_net_neighbors list | when interface is configured | The set of LLDP neighbors
ansible_net_serialnum string | always | The serial number of the device
ansible_net_version string | always | The version of the software running

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Nathaniel Case (@Qalthos)
- Sam Doran (@samdoran)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.